/* AVL tree height < 1.44*log2(nodes+2)-0.3, MAXH is a safe upper bound.  */
#define MAXH (sizeof(void*)*8*3/2)

struct node {
	const void *key;
	void *a[2];
	int h;
};

int __tsearch_balance(void **);
void *tfind(const void *key, void *const *rootp,
	int(*cmp)(const void *, const void *));
void *tdelete(const void *key, void *const *rootp,
	int(*cmp)(const void *, const void *));
